#include <bits/stdc++.h>
using namespace std;
int main(){
ios_base::sync_with_stdio(false);
cin.tie(0);
int n,k,x;
cin>>n>>k>>x;
int a[n];
int ikspola;
int brojac =1;
if(k==3){
        //if(n<4){cout<<-1; return 0;}
        ikspola=n-4;
        a[0]=1;
        cout<<a[0]<<" ";
       while(ikspola){
            a[brojac]=x/2+1;
            cout<<a[brojac]<< " ";
            brojac++;
            ikspola--;
       }
       for(int i=brojac;i<n;i++){
       a[i]=x+1;
       if(i!=n-1)cout<<a[i]<<" ";
        else cout<<a[i];

       }
       }
       return 0;



    }